libraw1394: version 2.0.4
Prev |  | Next

# raw1394_get_errcode

## Name

raw1394_get_errcode -- return error code of async transaction

## Synopsis

``raw1394_errcode_t raw1394_get_errcode` (raw1394handle_t handle);`

## Arguments

`handle`

  libraw1394 handle

## Description

Some macros are available to extract information from the error code, `raw1394_errcode_to_errno` can be used to convert it to an errno number of roughly the same meaning.

## Returns

the error code of the last `raw1394_read`, `raw1394_write`, `raw1394_lock`. The error code is either an internal error (i.e. not a bus error) or a combination of acknowledge code and response code, as appropriate.

Prev | Home | Next
raw1394_read_cycle_timer | Up | raw1394_errcode_to_errno